# 부분 환불

사용자에게 부분 환불 요청을 보냅니다. 부분 환불과 부분 환불을 지원하는 결제 방식에 대한 자세한 내용은 
문서을 참조해 주세요.


참고샌드박스 모드에서 이 API 메소드를 호출할 수 있습니다. 이렇게 하려면 요청에서 테스트 결제 데이터를 전달합니다. 샌드박스 모드 액세스 및 테스트 시나리오에 대한 자세한 내용은 지침을 참조하세요.





주의이 API 호출에는 project_id 경로 매개 변수가 포함되어 있지 않으므로 회사의 모든 프로젝트에서 유효한 API 키를 사용하여 인증을 설정해야 합니다.

Endpoint: PUT /merchants/{merchant_id}/reports/transactions/{transaction_id}/partial_refund
Version: 2.0
Security: basicAuth

## Path parameters:

  - `merchant_id` (integer, required)
    판매자 ID입니다.

  - `transaction_id` (integer, required)
    트랜잭션 ID.

## Request fields (application/json):

  - `description` (string, required)
    환불 사유입니다.

  - `refund_amount` (number, required)
    구매 통화로 표시된 환불 금액입니다.

## Response 404 fields (application/json):

  - `message` (string)
    지정한 ID의 거래가 존재하지 않습니다. 결제 자격 증명을 확인하세요. 또는 엑솔라 지원팀 support@xsolla.com에 연락해 주세요.

## Response 422 fields (application/json):

  - `message` (string)
    환불을 처리할 수 없음

다음 메시지 중 하나를 반환합니다.
- Partial refund is unavailable for operations with user balance.
- Requested transaction is partial refund and cannot be canceled.
- Partial refund is unavailable for subscription payments.
- Refund cannot be completed due to a payment system error. Please try again 
  later.
- Requested partial refund amount exceeds payment amount.
- Requested partial refund amount is less than minimum amount specified by 
  payment system.
- Payment amount after partial refund will be less than allowable amount 
  specified by payment system.
- Dispute for this invoice is already opened. Can’t make a refund yet.

현재의 결제 수단은 부분 환불을 지원하지 않음

다음 메시지 중 하나를 반환합니다.
- Current payment method does not support partial refunds.
- Current transaction status does not allow refunds.
- Deadline for refund is exceeded.
- Partial refund is unavailable because discount was applied during payment 
  creation.

잘못된 정밀도 설정으로 인해 부분 환불을 실행할 수 없음

다음 메시지를 반환합니다.
- Partial refund is unavailable because requested amount is specified with 
  incorrect precision for purchase currency.


## Response 204 fields

## Response 403 fields
